Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.deepcopy

TreeNode.deepcopy()

  Return a deep copy of self using an iterative approach.

  Returns:
    TreeNode

      A new deep copy of self.

  Warning

  `deepcopy` is deprecated as of `0.6.2`. Use `copy` instead.

  See also

  `copy`

  Notes

  `deepcopy` is equivalent to `copy` with `deep=True`, which is currently the default behavior of the latter.